package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCOPE_FIELD"
)
public class TCoreScopeField extends TProEntity {
   @Column(
      length = 50
   )
   private String datasystem_id;
   @Column(
      length = 128
   )
   private String tschemas;
   @Column(
      length = 128
   )
   private String names;
   @Column(
      length = 128
   )
   private String tablefield_id;
   @Column(
      length = 50
   )
   private String scope_id;
   @Column(
      length = 256
   )
   private String combination_id;
   @Column(
      length = 128
   )
   private String edition_id;
   @Column(
      length = 256
   )
   private String typename;
   @Column(
      length = 50
   )
   private String columnsize;
   @Column(
      length = 256
   )
   private String remarks;
   @Column(
      length = 256
   )
   private String projectid;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date updatetime;
   @Column(
      length = 64
   )
   private String updateuser;
   @Column(
      length = 10
   )
   private String flag;
   @Column(
      length = 50
   )
   private String dataareaid;

   public String getCombination_id() {
      return this.combination_id;
   }

   public void setCombination_id(String combination_id) {
      this.combination_id = combination_id;
   }

   public String getTablefield_id() {
      return this.tablefield_id;
   }

   public void setTablefield_id(String tablefield_id) {
      this.tablefield_id = tablefield_id;
   }

   public String getScope_id() {
      return this.scope_id;
   }

   public void setScope_id(String scope_id) {
      this.scope_id = scope_id;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getEdition_id() {
      return this.edition_id;
   }

   public void setEdition_id(String edition_id) {
      this.edition_id = edition_id;
   }

   public String getTypename() {
      return this.typename;
   }

   public void setTypename(String typename) {
      this.typename = typename;
   }

   public String getColumnsize() {
      return this.columnsize;
   }

   public void setColumnsize(String columnsize) {
      this.columnsize = columnsize;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public void setUpdateuser(String updateuser) {
      this.updateuser = updateuser;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }
}
